
%global meadversion 0.8.1
%global namedversion 0.8.1.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package hppc}
%{!?scl:%global pkg_name %{name}}

%define maven_version 0.8.1.redhat-00001

Name:           %{?scl_prefix}hppc
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        HPPC Collections
Group:          Development/Java

%if %with mead
Source100: hppc-parent-0.8.1.redhat-00001-project-sources.tar.gz
Source102: hppc-template-processor-0.8.1.redhat-00001.pom
Source103: hppc-0.8.1.redhat-00001-sources.jar
Source104: hppc-template-processor-0.8.1.redhat-00001.jar
Source105: hppc-0.8.1.redhat-00001.pom
Source106: hppc-0.8.1.redhat-00001.jar
Source107: hppc-parent-0.8.1.redhat-00001.pom
Source108: hppc-template-processor-0.8.1.redhat-00001-sources.jar
%endif

License:        ASL 2.0
URL:            https://github.com/carrotsearch/hppc
BuildArch:      noarch
BuildRoot:      %{_tmppath}/hppc-%{namedversion}-%{release}-root

%description
High Performance Primitive Collections. Fundamental data structures (maps, sets, lists, stacks, queues) generated for
combinations of object and primitive types to conserve JVM memory and speed up execution.

%if %with javadoc
%package javadoc
Summary:        Javadoc for hppc
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n hppc-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/hppc-%{namedversion}.jar %{buildroot}%{_javadir}/hppc-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/hppc-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/hppc-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/hppc-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hppc-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/hppc-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/hppc-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/hppc-%{namedversion} -x META-INF/\*
%{__ln_s} hppc-%{namedversion} %{buildroot}%{_javadocdir}/hppc
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}hppc
%defattr(0644,root,root,0755)
%doc ALTERNATIVES.txt CHANGES.txt INSTALL.txt LICENSE.txt NOTICE.txt README.txt
%{_javadir}/hppc-%{namedversion}.jar
%{_javadir}/hppc.jar
%if %with javadoc
%{_javadir}/hppc-%{namedversion}-javadoc.jar
%{_javadir}/hppc-javadoc.jar
%endif
%{_javadir}/hppc-%{namedversion}-sources.jar
%{_javadir}/hppc-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/hppc-%{namedversion}
%{_javadocdir}/hppc
%endif

%changelog
* Thu Oct 13 2022 Yong Yang <yyang@redhat.com> - 0.8.1-1.redhat_00001.1
- 0.8.1.redhat-00001
